Page MenuHomePhabricator

"Uncaught Error: Widget not found" on Special:Undelete with no deleted revisions
Closed, ResolvedPublicBUG REPORT

Description

  1. Find a page that has been deleted but has been restored (e.g. Earth @ enwiki)
  2. (As a sysop) Click on the view/restore link from a deletion log entry for that page, or just navigate to Special:Undelete (http://en.wikipedia.org/wiki/Special:Undelete/Earth)
  3. Console error:
Uncaught Error: Widget not found
    at Object.OO.ui.Element.static.unsafeInfuse (load.php?lang=en&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=wl19d:161)
    at Object.OO.ui.Element.static.infuse (load.php?lang=en&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=wl19d:161)
    at Object.OO.ui.infuse (load.php?lang=en&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=wl19d:157)
    at HTMLDocument.<anonymous> (<anonymous>:199:7501)
    at mightThrow (load.php?lang=en&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=wl19d:49)
    at process (load.php?lang=en&modules=jquery%2Coojs-ui-core%2Coojs-ui-widgets|jquery.ui&skin=vector&version=wl19d:49)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2020, 7:21 PM
Amorymeltzer changed the subtype of this task from "Task" to "Bug Report".Aug 7 2020, 7:21 PM
Ammarpad added a subscriber: Ammarpad.

Need to check for the existence of wpComment id before attempting infusion. It won't exist in case of going to Special:Undelete/Existingpage or even a page that simply never exist, because the comment field widget will not be built server side and so attempting to create the JS widget based on that element will fail.

Ammarpad claimed this task.Aug 8 2020, 12:24 AM

Change 619744 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Guard against 'Widget not found' error

https://gerrit.wikimedia.org/r/619744

Change 619744 merged by jenkins-bot:
[mediawiki/core@master] Guard against 'Widget not found' error

https://gerrit.wikimedia.org/r/619744

matmarex closed this task as Resolved.Aug 17 2020, 9:35 PM

Change 621729 had a related patch set uploaded (by Reedy; owner: Ammarpad):
[mediawiki/core@REL1_35] Guard against 'Widget not found' error

https://gerrit.wikimedia.org/r/621729

Change 621729 merged by jenkins-bot:
[mediawiki/core@REL1_35] Guard against 'Widget not found' error

https://gerrit.wikimedia.org/r/621729